clear all; close all; clc
axis([0 90 0 90])
hold on
%% INPUT: Select the amount of points that you want to print
max_teller = 8;
%% Store teller
teller = 0;store_x = []; store_y = [];
figure(1)
set(gcf, 'color', 'w')
title('Calculate the time to print in petri dish!');
off_set = 5;
t = linspace(0,2*pi);
plot(45.*cos(t)+45,45.*sin(t)+45,'k')
hold on
plot(48.*cos(t)+45,48.*sin(t)+45,'k','LineWidth',3)
xlim([0-2.5.*off_set, 90+2.5.*off_set]); ylim([0-2.*off_set 90+2.*off_set]);
store_teller = [];
xlabel('mm'); ylabel('mm');
while teller < max_teller;
    [x,y] = ginput(1);
    store_x = [store_x,x];
    store_y = [store_y,y];
    plot(x,y,'.b')
    teller = teller + 1;
    text(1.05.*x,1.05.*y,num2str(teller));
    store_teller = [store_teller,teller];
end

%% Calculate distance
store_distance = [];
for i = 1:max_teller-1
    distance = abs ( sqrt( (store_x(i+1)-store_x(i)).^2-(store_y(i+1)-store_y(i)).^2) );
    store_distance = [store_distance,distance];
end

%% Speed
v_slow = 21.53;    %% speed [mm/s]
v_fast = 59.70;    %% speed [mm/s]
